diff --git a/guava/src/com/google/common/util/concurrent/AbstractCatchingFuture.java b/guava/src/com/google/common/util/concurrent/AbstractCatchingFuture.java
index 76eada2..01e1643 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractCatchingFuture.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractCatchingFuture.java
@@ -17,27 +17,22 @@ package com.google.common.util.concurrent;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.util.concurrent.Futures.getDone;
 import static com.google.common.util.concurrent.MoreExecutors.rejectionPropagatingExecutor;
-import static com.google.common.util.concurrent.NullnessCasts.uncheckedCastNullableTToT;
 import static com.google.common.util.concurrent.Platform.isInstanceOfThrowableClass;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.util.concurrent.internal.InternalFutureFailureAccess;
 import com.google.common.util.concurrent.internal.InternalFutures;
-import com.google.errorprone.annotations.ForOverride;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Executor;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** Implementations of {@code Futures.catching*}. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 @SuppressWarnings("nullness") // TODO(b/147136275): Remove once our checker understands & and |.
 abstract class AbstractCatchingFuture<
-        V extends @Nullable Object, X extends Throwable, F, T extends @Nullable Object>
+        V extends Object, X extends Throwable, F, T extends Object>
     extends FluentFuture.TrustedFuture<V> implements Runnable {
-  static <V extends @Nullable Object, X extends Throwable> ListenableFuture<V> create(
+  static <V extends Object, X extends Throwable> ListenableFuture<V> create(
       ListenableFuture<? extends V> input,
       Class<X> exceptionType,
       Function<? super X, ? extends V> fallback,
@@ -47,7 +42,7 @@ abstract class AbstractCatchingFuture<
     return future;
   }
 
-  static <X extends Throwable, V extends @Nullable Object> ListenableFuture<V> create(
+  static <X extends Throwable, V extends Object> ListenableFuture<V> create(
       ListenableFuture<? extends V> input,
       Class<X> exceptionType,
       AsyncFunction<? super X, ? extends V> fallback,
@@ -167,12 +162,10 @@ abstract class AbstractCatchingFuture<
   }
 
   /** Template method for subtypes to actually run the fallback. */
-  @ForOverride
   @ParametricNullness
   abstract T doFallback(F fallback, X throwable) throws Exception;
 
   /** Template method for subtypes to actually set the result. */
-  @ForOverride
   abstract void setResult(@ParametricNullness T result);
 
   @Override
@@ -187,7 +180,7 @@ abstract class AbstractCatchingFuture<
    * An {@link AbstractCatchingFuture} that delegates to an {@link AsyncFunction} and {@link
    * #setFuture(ListenableFuture)}.
    */
-  private static final class AsyncCatchingFuture<V extends @Nullable Object, X extends Throwable>
+  private static final class AsyncCatchingFuture<V extends Object, X extends Throwable>
       extends AbstractCatchingFuture<
           V, X, AsyncFunction<? super X, ? extends V>, ListenableFuture<? extends V>> {
     AsyncCatchingFuture(
@@ -219,7 +212,7 @@ abstract class AbstractCatchingFuture<
    * An {@link AbstractCatchingFuture} that delegates to a {@link Function} and {@link
    * #set(Object)}.
    */
-  private static final class CatchingFuture<V extends @Nullable Object, X extends Throwable>
+  private static final class CatchingFuture<V extends Object, X extends Throwable>
       extends AbstractCatchingFuture<V, X, Function<? super X, ? extends V>, V> {
     CatchingFuture(
         ListenableFuture<? extends V> input,
diff --git a/guava/src/com/google/common/util/concurrent/AbstractExecutionThreadService.java b/guava/src/com/google/common/util/concurrent/AbstractExecutionThreadService.java
index df5b462..444b17d 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractExecutionThreadService.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractExecutionThreadService.java
@@ -14,10 +14,7 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Supplier;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.time.Duration;
 import java.util.concurrent.Executor;
 import java.util.concurrent.TimeUnit;
@@ -33,7 +30,6 @@ import java.util.logging.Logger;
  * @author Jesse Wilson
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class AbstractExecutionThreadService implements Service {
   private static final Logger logger =
@@ -148,7 +144,6 @@ public abstract class AbstractExecutionThreadService implements Service {
    * implementing {@code stopping}. Note, however, that {@code stopping} does not run at exactly the
    * same times as {@code triggerShutdown}.
    */
-  @Beta
   protected void triggerShutdown() {}
 
   /**
@@ -198,7 +193,6 @@ public abstract class AbstractExecutionThreadService implements Service {
   }
 
   /** @since 15.0 */
-  @CanIgnoreReturnValue
   @Override
   public final Service startAsync() {
     delegate.startAsync();
@@ -206,7 +200,6 @@ public abstract class AbstractExecutionThreadService implements Service {
   }
 
   /** @since 15.0 */
-  @CanIgnoreReturnValue
   @Override
   public final Service stopAsync() {
     delegate.stopAsync();
diff --git a/guava/src/com/google/common/util/concurrent/AbstractFuture.java b/guava/src/com/google/common/util/concurrent/AbstractFuture.java
index e61c6ff..9214fbf 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractFuture.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractFuture.java
@@ -19,17 +19,11 @@ import static com.google.common.base.Throwables.throwIfUnchecked;
 import static com.google.common.util.concurrent.NullnessCasts.uncheckedNull;
 import static java.lang.Integer.toHexString;
 import static java.lang.System.identityHashCode;
-import static java.util.Objects.requireNonNull;
 import static java.util.concurrent.atomic.AtomicReferenceFieldUpdater.newUpdater;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Strings;
 import com.google.common.util.concurrent.internal.InternalFutureFailureAccess;
 import com.google.common.util.concurrent.internal.InternalFutures;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.ForOverride;
-import com.google.j2objc.annotations.ReflectionSupport;
 import java.security.AccessController;
 import java.security.PrivilegedActionException;
 import java.security.PrivilegedExceptionAction;
@@ -46,7 +40,6 @@ import java.util.concurrent.locks.LockSupport;
 import java.util.logging.Level;
 import java.util.logging.Logger;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * An abstract implementation of {@link ListenableFuture}, intended for advanced users only. More
@@ -71,10 +64,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
   "ShortCircuitBoolean", // we use non-short circuiting comparisons intentionally
   "nullness", // TODO(b/147136275): Remove once our checker understands & and |.
 })
-@GwtCompatible(emulated = true)
-@ReflectionSupport(value = ReflectionSupport.Level.FULL)
 @ElementTypesAreNonnullByDefault
-public abstract class AbstractFuture<V extends @Nullable Object> extends InternalFutureFailureAccess
+public abstract class AbstractFuture<V extends Object> extends InternalFutureFailureAccess
     implements ListenableFuture<V> {
   // NOTE: Whenever both tests are cheap and functional, it's faster to use &, | instead of &&, ||
 
@@ -98,22 +89,20 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    * of this interface must also be an AbstractFuture and must not override or expose for overriding
    * any of the public methods of ListenableFuture.
    */
-  interface Trusted<V extends @Nullable Object> extends ListenableFuture<V> {}
+  interface Trusted<V extends Object> extends ListenableFuture<V> {}
 
   /**
    * A less abstract subclass of AbstractFuture. This can be used to optimize setFuture by ensuring
    * that {@link #get} calls exactly the implementation of {@link AbstractFuture#get}.
    */
-  abstract static class TrustedFuture<V extends @Nullable Object> extends AbstractFuture<V>
+  abstract static class TrustedFuture<V extends Object> extends AbstractFuture<V>
       implements Trusted<V> {
-    @CanIgnoreReturnValue
     @Override
     @ParametricNullness
     public final V get() throws InterruptedException, ExecutionException {
       return super.get();
     }
 
-    @CanIgnoreReturnValue
     @Override
     @ParametricNullness
     public final V get(long timeout, TimeUnit unit)
@@ -136,7 +125,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
       super.addListener(listener, executor);
     }
 
-    @CanIgnoreReturnValue
     @Override
     public final boolean cancel(boolean mayInterruptIfRunning) {
       return super.cancel(mayInterruptIfRunning);
@@ -340,7 +328,7 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
   }
 
   /** A special value that encodes the 'setFuture' state. */
-  private static final class SetFuture<V extends @Nullable Object> implements Runnable {
+  private static final class SetFuture<V extends Object> implements Runnable {
     final AbstractFuture<V> owner;
     final ListenableFuture<? extends V> future;
 
@@ -422,7 +410,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    *
    * @throws CancellationException {@inheritDoc}
    */
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public V get(long timeout, TimeUnit unit)
@@ -535,7 +522,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    *
    * @throws CancellationException {@inheritDoc}
    */
-  @CanIgnoreReturnValue
   @Override
   @ParametricNullness
   public V get() throws InterruptedException, ExecutionException {
@@ -627,7 +613,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    * <p>Beware of completing a future while holding a lock. Its listeners may do slow work or
    * acquire other locks, risking deadlocks.
    */
-  @CanIgnoreReturnValue
   @Override
   public boolean cancel(boolean mayInterruptIfRunning) {
     Object localValue = value;
@@ -776,7 +761,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    * @param value the value to be used as the result
    * @return true if the attempt was accepted, completing the {@code Future}
    */
-  @CanIgnoreReturnValue
   protected boolean set(@ParametricNullness V value) {
     Object valueToSet = value == null ? NULL : value;
     if (ATOMIC_HELPER.casValue(this, null, valueToSet)) {
@@ -801,7 +785,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    * @param throwable the exception to be used as the failed result
    * @return true if the attempt was accepted, completing the {@code Future}
    */
-  @CanIgnoreReturnValue
   protected boolean setException(Throwable throwable) {
     Object valueToSet = new Failure(checkNotNull(throwable));
     if (ATOMIC_HELPER.casValue(this, null, valueToSet)) {
@@ -840,7 +823,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    *     cancelled or set.
    * @since 19.0
    */
-  @CanIgnoreReturnValue
   protected boolean setFuture(ListenableFuture<? extends V> future) {
     checkNotNull(future);
     Object localValue = value;
@@ -971,7 +953,7 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    * internal dependency on other /util/concurrent classes.
    */
   @ParametricNullness
-  private static <V extends @Nullable Object> V getUninterruptibly(Future<V> future)
+  private static <V extends Object> V getUninterruptibly(Future<V> future)
       throws ExecutionException {
     boolean interrupted = false;
     try {
@@ -1053,8 +1035,6 @@ public abstract class AbstractFuture<V extends @Nullable Object> extends Interna
    *
    * @since 20.0
    */
-  @Beta
-  @ForOverride
   protected void afterDone() {}
 
   // TODO(b/114236866): Inherit doc from InternalFutureFailureAccess. Also, -link to its URL.
diff --git a/guava/src/com/google/common/util/concurrent/AbstractIdleService.java b/guava/src/com/google/common/util/concurrent/AbstractIdleService.java
index fe9faf9..721b4c2 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractIdleService.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractIdleService.java
@@ -14,10 +14,7 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Supplier;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.j2objc.annotations.WeakOuter;
 import java.time.Duration;
 import java.util.concurrent.Executor;
 import java.util.concurrent.TimeUnit;
@@ -31,14 +28,12 @@ import java.util.concurrent.TimeoutException;
  * @author Chris Nokleberg
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class AbstractIdleService implements Service {
 
   /* Thread names will look like {@code "MyService STARTING"}. */
   private final Supplier<String> threadNameSupplier = new ThreadNameSupplier();
 
-  @WeakOuter
   private final class ThreadNameSupplier implements Supplier<String> {
     @Override
     public String get() {
@@ -49,7 +44,6 @@ public abstract class AbstractIdleService implements Service {
   /* use AbstractService for state management */
   private final Service delegate = new DelegateService();
 
-  @WeakOuter
   private final class DelegateService extends AbstractService {
     @Override
     protected final void doStart() {
@@ -144,7 +138,6 @@ public abstract class AbstractIdleService implements Service {
   }
 
   /** @since 15.0 */
-  @CanIgnoreReturnValue
   @Override
   public final Service startAsync() {
     delegate.startAsync();
@@ -152,7 +145,6 @@ public abstract class AbstractIdleService implements Service {
   }
 
   /** @since 15.0 */
-  @CanIgnoreReturnValue
   @Override
   public final Service stopAsync() {
     delegate.stopAsync();
diff --git a/guava/src/com/google/common/util/concurrent/AbstractListeningExecutorService.java b/guava/src/com/google/common/util/concurrent/AbstractListeningExecutorService.java
index fd5c5c9..98d8ede 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractListeningExecutorService.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractListeningExecutorService.java
@@ -14,13 +14,9 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.concurrent.AbstractExecutorService;
 import java.util.concurrent.Callable;
 import java.util.concurrent.RunnableFuture;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Abstract {@link ListeningExecutorService} implementation that creates {@link ListenableFuture}
@@ -33,23 +29,20 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Chris Povirk
  * @since 14.0
  */
-@Beta
-@CanIgnoreReturnValue
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class AbstractListeningExecutorService extends AbstractExecutorService
     implements ListeningExecutorService {
 
   /** @since 19.0 (present with return type {@code ListenableFutureTask} since 14.0) */
   @Override
-  protected final <T extends @Nullable Object> RunnableFuture<T> newTaskFor(
+  protected final <T extends Object> RunnableFuture<T> newTaskFor(
       Runnable runnable, @ParametricNullness T value) {
     return TrustedListenableFutureTask.create(runnable, value);
   }
 
   /** @since 19.0 (present with return type {@code ListenableFutureTask} since 14.0) */
   @Override
-  protected final <T extends @Nullable Object> RunnableFuture<T> newTaskFor(Callable<T> callable) {
+  protected final <T extends Object> RunnableFuture<T> newTaskFor(Callable<T> callable) {
     return TrustedListenableFutureTask.create(callable);
   }
 
@@ -59,13 +52,13 @@ public abstract class AbstractListeningExecutorService extends AbstractExecutorS
   }
 
   @Override
-  public <T extends @Nullable Object> ListenableFuture<T> submit(
+  public <T extends Object> ListenableFuture<T> submit(
       Runnable task, @ParametricNullness T result) {
     return (ListenableFuture<T>) super.submit(task, result);
   }
 
   @Override
-  public <T extends @Nullable Object> ListenableFuture<T> submit(Callable<T> task) {
+  public <T extends Object> ListenableFuture<T> submit(Callable<T> task) {
     return (ListenableFuture<T>) super.submit(task);
   }
 }
diff --git a/guava/src/com/google/common/util/concurrent/AbstractScheduledService.java b/guava/src/com/google/common/util/concurrent/AbstractScheduledService.java
index 87fb6df..bc593ff 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractScheduledService.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractScheduledService.java
@@ -19,13 +19,8 @@ import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.util.concurrent.Futures.immediateCancelledFuture;
 import static com.google.common.util.concurrent.Internal.toNanosSaturated;
 import static com.google.common.util.concurrent.MoreExecutors.directExecutor;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Supplier;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
-import com.google.j2objc.annotations.WeakOuter;
 import java.time.Duration;
 import java.util.concurrent.Callable;
 import java.util.concurrent.Executor;
@@ -40,7 +35,6 @@ import java.util.concurrent.locks.ReentrantLock;
 import java.util.logging.Level;
 import java.util.logging.Logger;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Base class for services that can implement {@link #startUp} and {@link #shutDown} but while in
@@ -99,7 +93,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Luke Sandberg
  * @since 11.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class AbstractScheduledService implements Service {
   private static final Logger logger = Logger.getLogger(AbstractScheduledService.class.getName());
@@ -201,7 +194,6 @@ public abstract class AbstractScheduledService implements Service {
   /* use AbstractService for state management */
   private final AbstractService delegate = new ServiceDelegate();
 
-  @WeakOuter
   private final class ServiceDelegate extends AbstractService {
 
     // A handle to the running task so that we can stop it when a shutdown has been requested.
@@ -215,7 +207,6 @@ public abstract class AbstractScheduledService implements Service {
     // lock.
     private final ReentrantLock lock = new ReentrantLock();
 
-    @WeakOuter
     class Task implements Runnable {
       @Override
       public void run() {
@@ -367,7 +358,6 @@ public abstract class AbstractScheduledService implements Service {
    * fails}.
    */
   protected ScheduledExecutorService executor() {
-    @WeakOuter
     class ThreadFactoryImpl implements ThreadFactory {
       @Override
       public Thread newThread(Runnable runnable) {
@@ -435,7 +425,6 @@ public abstract class AbstractScheduledService implements Service {
   }
 
   /** @since 15.0 */
-  @CanIgnoreReturnValue
   @Override
   public final Service startAsync() {
     delegate.startAsync();
@@ -443,7 +432,6 @@ public abstract class AbstractScheduledService implements Service {
   }
 
   /** @since 15.0 */
-  @CanIgnoreReturnValue
   @Override
   public final Service stopAsync() {
     delegate.stopAsync();
@@ -521,7 +509,7 @@ public abstract class AbstractScheduledService implements Service {
   public abstract static class CustomScheduler extends Scheduler {
 
     /** A callable class that can reschedule itself using a {@link CustomScheduler}. */
-    private final class ReschedulableCallable implements Callable<@Nullable Void> {
+    private final class ReschedulableCallable implements Callable<Void> {
 
       /** The underlying task. */
       private final Runnable wrappedRunnable;
@@ -564,7 +552,6 @@ public abstract class AbstractScheduledService implements Service {
       private final ReentrantLock lock = new ReentrantLock();
 
       /** The future that represents the next execution of this task. */
-      @GuardedBy("lock")
       @CheckForNull
       private SupplantableFuture cancellationDelegate;
 
@@ -587,7 +574,6 @@ public abstract class AbstractScheduledService implements Service {
        * Atomically reschedules this task and assigns the new future to {@link
        * #cancellationDelegate}.
        */
-      @CanIgnoreReturnValue
       public Cancellable reschedule() {
         // invoke the callback outside the lock, prevents some shenanigans.
         Schedule schedule;
@@ -627,7 +613,6 @@ public abstract class AbstractScheduledService implements Service {
         return toReturn;
       }
 
-      @GuardedBy("lock")
       /*
        * The GuardedBy checker warns us that we're not holding cancellationDelegate.lock. But in
        * fact we are holding it because it is the same as this.lock, which we know we are holding,
@@ -645,7 +630,7 @@ public abstract class AbstractScheduledService implements Service {
         return cancellationDelegate;
       }
 
-      private ScheduledFuture<@Nullable Void> submitToExecutor(Schedule schedule) {
+      private ScheduledFuture<Void> submitToExecutor(Schedule schedule) {
         return executor.schedule(this, schedule.delay, schedule.unit);
       }
     }
@@ -657,8 +642,7 @@ public abstract class AbstractScheduledService implements Service {
     private static final class SupplantableFuture implements Cancellable {
       private final ReentrantLock lock;
 
-      @GuardedBy("lock")
-      private Future<@Nullable Void> currentFuture;
+      private Future<Void> currentFuture;
 
       SupplantableFuture(ReentrantLock lock, Future<@Nullable Void> currentFuture) {
         this.lock = lock;
diff --git a/guava/src/com/google/common/util/concurrent/AbstractService.java b/guava/src/com/google/common/util/concurrent/AbstractService.java
index ae40096..809eb41 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractService.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractService.java
@@ -23,16 +23,9 @@ import static com.google.common.util.concurrent.Service.State.RUNNING;
 import static com.google.common.util.concurrent.Service.State.STARTING;
 import static com.google.common.util.concurrent.Service.State.STOPPING;
 import static com.google.common.util.concurrent.Service.State.TERMINATED;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.util.concurrent.Monitor.Guard;
 import com.google.common.util.concurrent.Service.State; // javadoc needs this
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.ForOverride;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
-import com.google.j2objc.annotations.WeakOuter;
 import java.time.Duration;
 import java.util.concurrent.Executor;
 import java.util.concurrent.TimeUnit;
@@ -49,7 +42,6 @@ import javax.annotation.CheckForNull;
  * @author Luke Sandberg
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class AbstractService implements Service {
   private static final ListenerCallQueue.Event<Listener> STARTING_EVENT =
@@ -122,7 +114,6 @@ public abstract class AbstractService implements Service {
 
   private final Guard isStartable = new IsStartableGuard();
 
-  @WeakOuter
   private final class IsStartableGuard extends Guard {
     IsStartableGuard() {
       super(AbstractService.this.monitor);
@@ -136,7 +127,6 @@ public abstract class AbstractService implements Service {
 
   private final Guard isStoppable = new IsStoppableGuard();
 
-  @WeakOuter
   private final class IsStoppableGuard extends Guard {
     IsStoppableGuard() {
       super(AbstractService.this.monitor);
@@ -150,7 +140,6 @@ public abstract class AbstractService implements Service {
 
   private final Guard hasReachedRunning = new HasReachedRunningGuard();
 
-  @WeakOuter
   private final class HasReachedRunningGuard extends Guard {
     HasReachedRunningGuard() {
       super(AbstractService.this.monitor);
@@ -164,7 +153,6 @@ public abstract class AbstractService implements Service {
 
   private final Guard isStopped = new IsStoppedGuard();
 
-  @WeakOuter
   private final class IsStoppedGuard extends Guard {
     IsStoppedGuard() {
       super(AbstractService.this.monitor);
@@ -203,7 +191,6 @@ public abstract class AbstractService implements Service {
    * convenient. It is invoked exactly once on service startup, even when {@link #startAsync} is
    * called multiple times.
    */
-  @ForOverride
   protected abstract void doStart();
 
   /**
@@ -220,7 +207,6 @@ public abstract class AbstractService implements Service {
    * invoked immediately. Instead, it will be deferred until after the service is {@link
    * State#RUNNING}. Services that need to cancel startup work can override {@link #doCancelStart}.
    */
-  @ForOverride
   protected abstract void doStop();
 
   /**
@@ -237,11 +223,8 @@ public abstract class AbstractService implements Service {
    *
    * @since 27.0
    */
-  @Beta
-  @ForOverride
   protected void doCancelStart() {}
 
-  @CanIgnoreReturnValue
   @Override
   public final Service startAsync() {
     if (monitor.enterIf(isStartable)) {
@@ -261,7 +244,6 @@ public abstract class AbstractService implements Service {
     return this;
   }
 
-  @CanIgnoreReturnValue
   @Override
   public final Service stopAsync() {
     if (monitor.enterIf(isStoppable)) {
@@ -370,7 +352,6 @@ public abstract class AbstractService implements Service {
   }
 
   /** Checks that the current state is equal to the expected state. */
-  @GuardedBy("monitor")
   private void checkCurrentState(State expected) {
     State actual = state();
     if (actual != expected) {
diff --git a/guava/src/com/google/common/util/concurrent/AbstractTransformFuture.java b/guava/src/com/google/common/util/concurrent/AbstractTransformFuture.java
index dd68791..3a2413a 100644
--- a/guava/src/com/google/common/util/concurrent/AbstractTransformFuture.java
+++ b/guava/src/com/google/common/util/concurrent/AbstractTransformFuture.java
@@ -18,23 +18,19 @@ import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.util.concurrent.Futures.getDone;
 import static com.google.common.util.concurrent.MoreExecutors.rejectionPropagatingExecutor;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
-import com.google.errorprone.annotations.ForOverride;
 import java.util.concurrent.CancellationException;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Executor;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** Implementations of {@code Futures.transform*}. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 @SuppressWarnings("nullness") // TODO(b/147136275): Remove once our checker understands & and |.
 abstract class AbstractTransformFuture<
-        I extends @Nullable Object, O extends @Nullable Object, F, T extends @Nullable Object>
+        I extends Object, O extends Object, F, T extends Object>
     extends FluentFuture.TrustedFuture<O> implements Runnable {
-  static <I extends @Nullable Object, O extends @Nullable Object> ListenableFuture<O> create(
+  static <I extends Object, O extends Object> ListenableFuture<O> create(
       ListenableFuture<I> input,
       AsyncFunction<? super I, ? extends O> function,
       Executor executor) {
@@ -44,7 +40,7 @@ abstract class AbstractTransformFuture<
     return output;
   }
 
-  static <I extends @Nullable Object, O extends @Nullable Object> ListenableFuture<O> create(
+  static <I extends Object, O extends Object> ListenableFuture<O> create(
       ListenableFuture<I> input, Function<? super I, ? extends O> function, Executor executor) {
     checkNotNull(function);
     TransformFuture<I, O> output = new TransformFuture<>(input, function);
@@ -168,12 +164,10 @@ abstract class AbstractTransformFuture<
   }
 
   /** Template method for subtypes to actually run the transform. */
-  @ForOverride
   @ParametricNullness
   abstract T doTransform(F function, @ParametricNullness I result) throws Exception;
 
   /** Template method for subtypes to actually set the result. */
-  @ForOverride
   abstract void setResult(@ParametricNullness T result);
 
   @Override
@@ -206,7 +200,7 @@ abstract class AbstractTransformFuture<
    * #setFuture(ListenableFuture)}.
    */
   private static final class AsyncTransformFuture<
-          I extends @Nullable Object, O extends @Nullable Object>
+          I extends Object, O extends Object>
       extends AbstractTransformFuture<
           I, O, AsyncFunction<? super I, ? extends O>, ListenableFuture<? extends O>> {
     AsyncTransformFuture(
@@ -237,7 +231,7 @@ abstract class AbstractTransformFuture<
    * An {@link AbstractTransformFuture} that delegates to a {@link Function} and {@link
    * #set(Object)}.
    */
-  private static final class TransformFuture<I extends @Nullable Object, O extends @Nullable Object>
+  private static final class TransformFuture<I extends Object, O extends Object>
       extends AbstractTransformFuture<I, O, Function<? super I, ? extends O>, O> {
     TransformFuture(
         ListenableFuture<? extends I> inputFuture, Function<? super I, ? extends O> function) {
